/*
 * Created on 04-jul-2005
 *
 * gvSIG. Sistema de Informacin Geogrfica de la Generalitat Valenciana
 *
 * Copyright (C) 2004 IVER T.I. and Generalitat Valenciana.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,USA.
 *
 * For more information, contact:
 *
 *  Generalitat Valenciana
 *   Conselleria d'Infraestructures i Transport
 *   Av. Blasco Ibez, 50
 *   46010 VALENCIA
 *   SPAIN
 *
 *      +34 963862235
 *   gvsig@gva.es
 *      www.gvsig.gva.es
 *
 *    or
 *
 *   IVER T.I. S.A
 *   Salamanca 50
 *   46005 Valencia
 *   Spain
 *
 *   +34 963163400
 *   dac@iver.es
 */
package com.iver.gvsig.geoprocessing.gui;

import javax.swing.JPanel;

import javax.swing.ButtonGroup;
import javax.swing.JLabel;
import javax.swing.JRadioButton;
import javax.swing.BoxLayout;

import com.iver.andami.PluginServices;
/**
 * @author jmorell
 */
public class GeoProcessingOperationSelectorPanel extends JPanel {

	/**
     * 
     */
    private static final long serialVersionUID = 1L;
    private JLabel jLabel = null;
	private JRadioButton jRadioButton = null;
	private JRadioButton jRadioButton1 = null;
	private JRadioButton jRadioButton2 = null;
	private JRadioButton jRadioButton3 = null;
	private JRadioButton jRadioButton4 = null;
	private JRadioButton jRadioButton5 = null;
	private JRadioButton jRadioButton6 = null;
	private ButtonGroup buttonGroup = null;
	/**
	 * This is the default constructor
	 */
	public GeoProcessingOperationSelectorPanel() {
		super();
		initialize();
	}
	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private  void initialize() {
		jLabel = new JLabel();
		this.setLayout(null);
		this.setSize(229, 203);
		jLabel.setText(PluginServices.getText(this,"Elija_una_herramienta_de_analisis") + ":");
		jLabel.setBounds(6, 7, 200, 15);
		this.add(jLabel, null);
		this.add(getJRadioButton(), null);
		this.add(getJRadioButton6(), null);
		this.add(getJRadioButton1(), null);
		this.add(getJRadioButton2(), null);
		this.add(getJRadioButton3(), null);
		this.add(getJRadioButton4(), null);
		this.add(getJRadioButton5(), null);
		confButtonGroup();
		getJRadioButton().setSelected(true);
	}
	private void confButtonGroup() {
		if (buttonGroup == null) {
			buttonGroup = new ButtonGroup();
			buttonGroup.add(getJRadioButton());
			buttonGroup.add(getJRadioButton1());
			buttonGroup.add(getJRadioButton2());
			buttonGroup.add(getJRadioButton3());
			buttonGroup.add(getJRadioButton4());
			buttonGroup.add(getJRadioButton5());
			buttonGroup.add(getJRadioButton6());
		}
	}
	/**
	 * This method initializes jRadioButton	
	 * 	
	 * @return javax.swing.JRadioButton	
	 */    
	private JRadioButton getJRadioButton() {
		if (jRadioButton == null) {
			jRadioButton = new JRadioButton();
			jRadioButton.setText(PluginServices.getText(this,"Area_de_influencia"));
			jRadioButton.setBounds(6, 29, 130, 23);
		}
		return jRadioButton;
	}
	/**
	 * This method initializes jRadioButton1	
	 * 	
	 * @return javax.swing.JRadioButton	
	 */    
	private JRadioButton getJRadioButton1() {
		if (jRadioButton1 == null) {
			jRadioButton1 = new JRadioButton();
			jRadioButton1.setText(PluginServices.getText(this,"Disolver"));
			jRadioButton1.setBounds(6, 75, 67, 23);
		}
		return jRadioButton1;
	}
	/**
	 * This method initializes jRadioButton2	
	 * 	
	 * @return javax.swing.JRadioButton	
	 */    
	private JRadioButton getJRadioButton2() {
		if (jRadioButton2 == null) {
			jRadioButton2 = new JRadioButton();
			jRadioButton2.setText(PluginServices.getText(this,"Juntar"));
			jRadioButton2.setBounds(6, 98, 55, 23);
		}
		return jRadioButton2;
	}
	/**
	 * This method initializes jRadioButton3	
	 * 	
	 * @return javax.swing.JRadioButton	
	 */    
	private JRadioButton getJRadioButton3() {
		if (jRadioButton3 == null) {
			jRadioButton3 = new JRadioButton();
			jRadioButton3.setText(PluginServices.getText(this,"Interseccion"));
			jRadioButton3.setBounds(6, 121, 93, 23);
		}
		return jRadioButton3;
	}
	/**
	 * This method initializes jRadioButton4	
	 * 	
	 * @return javax.swing.JRadioButton	
	 */    
	private JRadioButton getJRadioButton4() {
		if (jRadioButton4 == null) {
			jRadioButton4 = new JRadioButton();
			jRadioButton4.setText(PluginServices.getText(this,"Union"));
			jRadioButton4.setBounds(6, 144, 53, 23);
		}
		return jRadioButton4;
	}
	/**
	 * This method initializes jRadioButton5	
	 * 	
	 * @return javax.swing.JRadioButton	
	 */    
	private JRadioButton getJRadioButton5() {
		if (jRadioButton5 == null) {
			jRadioButton5 = new JRadioButton();
			jRadioButton5.setText(PluginServices.getText(this,"Enlace_espacial"));
			jRadioButton5.setBounds(6, 167, 106, 23);
		}
		return jRadioButton5;
	}
	/**
	 * This method initializes jRadioButton6	
	 * 	
	 * @return javax.swing.JRadioButton	
	 */    
	private JRadioButton getJRadioButton6() {
		if (jRadioButton6 == null) {
			jRadioButton6 = new JRadioButton();
			jRadioButton6.setText(PluginServices.getText(this,"Recortar"));
			jRadioButton6.setBounds(6, 52, 79, 23);
		}
		return jRadioButton6;
	}
       }  //  @jve:decl-index=0:visual-constraint="10,10"
